import { goerliTestnetTokens } from '@pancakeswap/tokens'
import { SerializedFarmConfig } from '@pancakeswap/farms'

const farms: SerializedFarmConfig[] = [
  {
    pid: 2,
    vaultPid: 0,
    lpSymbol: 'COPE-WETH LP',
    lpAddress: '0x8594c5E7B456c21D0C909561db82A87f04258E39',
    quoteToken: goerliTestnetTokens.weth,
    token: goerliTestnetTokens.cake,
  },
  {
    pid: 4,
    vaultPid: 0,
    lpSymbol: 'COPE-USDC LP',
    lpAddress: '0x6B53C7943751aD55FB273400a50E7f440b4e3d4D',
    quoteToken: goerliTestnetTokens.usdc,
    token: goerliTestnetTokens.cake,
  },
  {
    pid: 5,
    vaultPid: 0,
    lpSymbol: 'USDC-WETH LP',
    lpAddress: '0x4dcd1F1572b7Ef471Da282aD5559BFd2AD02f611',
    quoteToken: goerliTestnetTokens.usdc,
    token: goerliTestnetTokens.weth,
  }, 
  {
    pid: 6,
    vaultPid: 0,
    lpSymbol: 'PEPL-WETH LP',
    lpAddress: '0xE761B1e8d5CFc00596D141290667bcd5cD460F33',
    quoteToken: goerliTestnetTokens.weth,
    token: goerliTestnetTokens.pepl,
  }, 
].map((p) => ({ ...p, token: p.token.serialize, quoteToken: p.quoteToken.serialize }))

export default farms
